Skip to Content
APIsTrades

Trades

Get last aggregate returns the latest aggregate bar for a crypto pair.

Get Trades

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/trades

Returns an object with recent trades for a crypto pair on an exchange.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
limitstringNumber of results per request. Maximum 50,000. (default 200)
sincenumberUnix Timestamp from where you want the data to start. (Historical Data)
success-response.js
{ "exchange": "coinbasepro", "market": "BTC/USD", "trades": [ { "id": "279352169", "timestamp": "1644524462830", "price": 44322.55, "size": 0.02209576, "cost": 979.340427388, "side": "buy" }, { "id": "279352170", "timestamp": "1644524463216", "price": 44322.55, "size": 0.00030296, "cost": 13.427959748000001, "side": "buy" }, ] }

Copy & Paste Code

curl-request.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/trades

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/trades 

response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "trades": [ { "id": "279352169", "timestamp": "1644524462830", "price": 44322.55, "size": 0.02209576, "cost": 979.340427388, "side": "buy" }, ] }

Response Attributes

Attribute NameData TypeDescription
exchangestringThe exchange id the trade occurred on.
marketstringThe crypto pair that was traded.
tradesarrayAn array of trades
idstringThe exchange specific unique id of the trade.
timestampstringThe Unix timestamp that trade was executed.
pricefloatThe quote currency price of the market.
sizefloatThe quantity traded.
costfloatThe quote cost: (size * price).
sidestringWhether the trade was a buy or sell.

© Adesic LLC. All Rights Reserved